#include "config.h"
#include "err.h"
#include <stdio.h>

void wt_display_error(const char* const progname, const char* const msg,
	const wt_error err)
{
	fprintf(stderr, "%s: %s: %s: %s\n", progname, msg, wtrMnError(err),
		wtrStrError(err));
}

void wt_error_cb(void* priv, const char* msg, wt_error err)
{
	wt_display_error((const char*)priv, msg, err);
}
