#include "config_private.h"
#include "types.h"
#include "wtruntime.h"

const char* wtrMnError(wt_error err)
{
	switch(err)
	{
	case WTE_OK:     return "OK";
	case WTE_BADARG: return "BADARG";
	case WTE_LFAIL:  return "LFAIL";
	case WTE_NOENT:  return "NOENT";
	case WTE_NOMEM:  return "NOMEM";
	case WTE_NOFIT:  return "NOFIT";
	case WTE_DUPENT: return "DUPENT";
	case WTE_REFER:  return "REFER";
	case WTE_BINERR: return "BINERR";
	case WTE_BADVER: return "BADVER";
	case WTE_UNRES:  return "UNRES";
	case WTE_AMBIG:  return "AMBIG";
	case WTE_BADEX:  return "BADEX";
	case WTE_URTEX:  return "URTEX";
	case WTE_INVOKE: return "INVOKE";
	case WTE_INTEG:  return "INTEG";
	case WTE_MEMSZ:  return "MEMSZ";
	case WTE_REFCTX: return "REFCTX";
	case WTE_BADCTX: return "BADCTX";
	case WTE_NOSTK:  return "NOSTK";
	case WTE_DESTRP: return "DESTRP";
	case WTE_UCLEAN: return "UCLEAN";
	case WTE_BADMAG: return "BADMAG";
	case WTE_ABIVER: return "ABIVER";
	default:         return NULL;
	}
}
